QGIS Application - Bug report #20081
Problem with legend for multi-style and themes in Report
2018-10-11 09:29 PM - Saber Razmjooei

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27903
Description

The legend generated in the Report, is based on the default style of the layer style.

My use case is as:

1- Added a layer

2- Added a new style

3- Created a theme for the new style

3.5 Switch back to the default style

4- Added a new report

5- Added a new map to follow the map theme
6- Added a legend for my map

7- The legend still refers to my default style

The correct behaviour should be that the legend follows the layer style from the theme set for the Map layout in the Report, unless user
select the option for Auto update is disabled under legend item.

History

#1 - 2018-10-11 11:35 PM - Saber Razmjooei
- Resolution set to duplicate

Duplicate of #20055

#2 - 2018-10-12 02:16 AM - Nyall Dawson
- Status changed from Open to Closed

2025-04-27 1/1




